Bug 1507667 - [RFE][M-5] Ability to add and remove AWS volumes for an instance
Summary: [RFE][M-5] Ability to add and remove AWS volumes for an instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: MVP
: 5.10.0
Assignee: Daniel Berger
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks: 1555371 1590045
TreeView+ depends on / blocked
 
Reported: 2017-10-30 21:19 UTC by Ryan Spagnola
Modified: 2019-02-07 23:00 UTC (History)
11 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:36 UTC
Category: Feature
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:47 UTC

Description Ryan Spagnola 2017-10-30 21:19:29 UTC
Description of problem:
This is a request to have the functionality to add and remove AWS volumes for an instance, similar to what we have for vmware provisioning


Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 Bronagh Sorota 2018-05-21 15:55:23 UTC
From speaking to Dan Berger and reading the talk article (http://talk.manageiq.org/t/aws-cloud-volume-relationships/3111/3)
it appears that an automate solution was requested, for this reason, no UI work was required. 
I have updated the Devel Whiteboard to reflect the fix involves a backend change only.

Comment 7 Matouš Mojžíš 2018-07-02 15:14:00 UTC
How can I test this when there is no UI change for it?
Thanks

Comment 8 Daniel Berger 2018-07-10 15:53:21 UTC
I guess via an automate approach following similar steps that were mentioned in http://talk.manageiq.org/t/aws-cloud-volume-relationships/3111

Otherwise I'm not sure. I've asked in the Amazon provider gitter channel for guidance.

Comment 9 Dmitry Misharov 2018-07-26 06:26:16 UTC
Verified in 5.10.0.4.20180712211305_e6e4542. Steps for verification:
Go to rails console
irb(main):001:0> $evm=MiqAeMethodService::MiqAeService.new(MiqAeEngine::MiqAeWorkspaceRuntime.new)
irb(main):002:0> vm = $evm.vmdb('vm').find_by_name('vm_name')
irb(main):003:0> vm.cloud_volumes
irb(main):004:0> vol = vm.cloud_volumes.first
irb(main):005:0> vol.create_volume_snapshot(name: "idtest")

Comment 10 errata-xmlrpc 2019-02-07 23:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.